## NMSettingCdma

NMSettingCdma — Describes CDMA-based mobile broadband properties

## Functions

NMSetting * | nm_setting_cdma_new ()
const char * | nm_setting_cdma_get_number ()
const char * | nm_setting_cdma_get_username ()
const char * | nm_setting_cdma_get_password ()
NMSettingSecretFlags | nm_setting_cdma_get_password_flags ()
guint32 | nm_setting_cdma_get_mtu ()

## Types and Values

#define | NM_SETTING_CDMA_SETTING_NAME
#define | NM_SETTING_CDMA_NUMBER
#define | NM_SETTING_CDMA_USERNAME
#define | NM_SETTING_CDMA_PASSWORD
#define | NM_SETTING_CDMA_PASSWORD_FLAGS
#define | NM_SETTING_CDMA_MTU

## Description

The NMSettingCdma object is a NMSetting subclass that describes properties that allow connections to IS-95-based mobile broadband networks, including those using CDMA2000/EVDO technology.

## Functions

### nm_setting_cdma_new ()

    NMSetting *
    nm_setting_cdma_new (void);

Creates a new NMSettingCdma object with default values.

#### Returns

the new empty NMSettingCdma object

### nm_setting_cdma_get_number ()

    const char *
    nm_setting_cdma_get_number (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the “number” property of the setting

### nm_setting_cdma_get_username ()

    const char *
    nm_setting_cdma_get_username (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the “username” property of the setting

### nm_setting_cdma_get_password ()

    const char *
    nm_setting_cdma_get_password (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the “password” property of the setting

### nm_setting_cdma_get_password_flags ()

    NMSettingSecretFlags
    nm_setting_cdma_get_password_flags (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the NMSettingSecretFlags pertaining to the “password”

### nm_setting_cdma_get_mtu ()

    guint32
    nm_setting_cdma_get_mtu (NMSettingCdma *setting);

#### Parameters

setting | the NMSettingCdma |

#### Returns

the “mtu” property of the setting

Since: 1.8

## Types and Values

### NM_SETTING_CDMA_SETTING_NAME

    #define NM_SETTING_CDMA_SETTING_NAME "cdma"

### NM_SETTING_CDMA_NUMBER

    #define NM_SETTING_CDMA_NUMBER         "number"

### NM_SETTING_CDMA_USERNAME

    #define NM_SETTING_CDMA_USERNAME       "username"

### NM_SETTING_CDMA_PASSWORD

    #define NM_SETTING_CDMA_PASSWORD       "password"

### NM_SETTING_CDMA_PASSWORD_FLAGS

    #define NM_SETTING_CDMA_PASSWORD_FLAGS "password-flags"

### NM_SETTING_CDMA_MTU

    #define NM_SETTING_CDMA_MTU            "mtu"